Skip to main content
GET
Get Schedule

Authorizations

x-api-key
string
header
required

Your Sixtyfour API key.

Path Parameters

schedule_id
string
required

Response

Successful Response

schedule_id
string
required

Schedule identifier.

workflow_id
string
required

Workflow the schedule runs.

name
string
required

Name of the schedule.

cron_expression
string
required

When the schedule runs, as a 5-field cron expression.

timezone
string
required

IANA timezone the cron expression is read in.

is_active
boolean
required

If true, the schedule runs. If false, it is paused.

next_run_times
string[]
required

Up to three upcoming run times in UTC, in ISO 8601 format. Empty when paused.

created_at
string
required

Creation time in UTC, in ISO 8601 format.

updated_at
string
required

Last update time in UTC, in ISO 8601 format.

description
string | null

Note about what the schedule is for.

disabled_reason
string | null

Why the schedule was paused automatically. Null when it was not.